"use strict";Object.defineProperty(exports, "__esModule", {value: true});



var _chunk6Z5ICHV4js = require('./chunk-6Z5ICHV4.js');


var _chunkBNJB64XRjs = require('./chunk-BNJB64XR.js');

// src/core/resolvers/antdv.ts
var matchComponents = [
  {
    pattern: /^Avatar/,
    styleDir: "avatar"
  },
  {
    pattern: /^AutoComplete/,
    styleDir: "auto-complete"
  },
  {
    pattern: /^Anchor/,
    styleDir: "anchor"
  },
  {
    pattern: /^Badge/,
    styleDir: "badge"
  },
  {
    pattern: /^Breadcrumb/,
    styleDir: "breadcrumb"
  },
  {
    pattern: /^Button/,
    styleDir: "button"
  },
  {
    pattern: /^Checkbox/,
    styleDir: "checkbox"
  },
  {
    pattern: /^Card/,
    styleDir: "card"
  },
  {
    pattern: /^Collapse/,
    styleDir: "collapse"
  },
  {
    pattern: /^Descriptions/,
    styleDir: "descriptions"
  },
  {
    pattern: /^RangePicker|^WeekPicker|^MonthPicker/,
    styleDir: "date-picker"
  },
  {
    pattern: /^Dropdown/,
    styleDir: "dropdown"
  },
  {
    pattern: /^Form/,
    styleDir: "form"
  },
  {
    pattern: /^InputNumber/,
    styleDir: "input-number"
  },
  {
    pattern: /^Input|^Textarea/,
    styleDir: "input"
  },
  {
    pattern: /^Statistic/,
    styleDir: "statistic"
  },
  {
    pattern: /^CheckableTag/,
    styleDir: "tag"
  },
  {
    pattern: /^Layout/,
    styleDir: "layout"
  },
  {
    pattern: /^Menu|^SubMenu/,
    styleDir: "menu"
  },
  {
    pattern: /^Table/,
    styleDir: "table"
  },
  {
    pattern: /^Radio/,
    styleDir: "radio"
  },
  {
    pattern: /^Image/,
    styleDir: "image"
  },
  {
    pattern: /^List/,
    styleDir: "list"
  },
  {
    pattern: /^Tab/,
    styleDir: "tabs"
  },
  {
    pattern: /^Mentions/,
    styleDir: "mentions"
  },
  {
    pattern: /^Step/,
    styleDir: "steps"
  },
  {
    pattern: /^Skeleton/,
    styleDir: "skeleton"
  },
  {
    pattern: /^Select/,
    styleDir: "select"
  },
  {
    pattern: /^TreeSelect/,
    styleDir: "tree-select"
  },
  {
    pattern: /^Tree|^DirectoryTree/,
    styleDir: "tree"
  },
  {
    pattern: /^Typography/,
    styleDir: "typography"
  },
  {
    pattern: /^Timeline/,
    styleDir: "timeline"
  },
  {
    pattern: /^Upload/,
    styleDir: "upload"
  }
];
function getStyleDir(compName) {
  let styleDir;
  const total = matchComponents.length;
  for (let i = 0; i < total; i++) {
    const matcher = matchComponents[i];
    if (compName.match(matcher.pattern)) {
      styleDir = matcher.styleDir;
      break;
    }
  }
  if (!styleDir)
    styleDir = _chunk6Z5ICHV4js.kebabCase.call(void 0, compName);
  return styleDir;
}
function getSideEffects(compName, options) {
  const {
    importStyle = true,
    importLess = false
  } = options;
  if (!importStyle)
    return;
  if (importStyle === "less" || importLess) {
    const styleDir = getStyleDir(compName);
    return `ant-design-vue/es/${styleDir}/style`;
  } else {
    const styleDir = getStyleDir(compName);
    return `ant-design-vue/es/${styleDir}/style/css`;
  }
}
function AntDesignVueResolver(options = {}) {
  return (name) => {
    if (options.resolveIcons && name.match(/(Outlined|Filled|TwoTone)$/)) {
      return {
        importName: name,
        path: "@ant-design/icons-vue"
      };
    }
    if (name.match(/^A[A-Z]/)) {
      const importName = name.slice(1);
      return {
        importName,
        path: "ant-design-vue/es",
        sideEffects: getSideEffects(importName, options)
      };
    }
  };
}

// src/core/resolvers/element-plus.ts
function ElementPlusResolver(options = {}) {
  return (name) => {
    const { importStyle = true } = options;
    if (name.startsWith("El")) {
      const partialName = name[2].toLowerCase() + name.substring(3).replace(/[A-Z]/g, (l) => `-${l.toLowerCase()}`);
      return {
        path: `element-plus/es/el-${partialName}`,
        sideEffects: importStyle ? `element-plus/packages/theme-chalk/src/${partialName}.scss` : void 0
      };
    }
  };
}

// src/core/resolvers/element-ui.ts
function getSideEffects2(partialName, options) {
  const { importStyle = "css" } = options;
  if (!importStyle)
    return;
  if (importStyle === "sass") {
    return [
      "element-ui/packages/theme-chalk/src/base.scss",
      `element-ui/packages/theme-chalk/src/${partialName}.scss`
    ];
  } else {
    return [
      "element-ui/lib/theme-chalk/base.css",
      `element-ui/lib/theme-chalk/${partialName}.css`
    ];
  }
}
function ElementUiResolver(options = {}) {
  return (name) => {
    if (name.startsWith("El")) {
      const compName = name.slice(2);
      const partialName = _chunk6Z5ICHV4js.kebabCase.call(void 0, compName);
      return {
        path: `element-ui/lib/${partialName}`,
        sideEffects: getSideEffects2(partialName, options)
      };
    }
  };
}

// src/core/resolvers/headless-ui.ts
var components = [
  "Dialog",
  "DialogDescription",
  "DialogOverlay",
  "DialogTitle",
  "Disclosure",
  "DisclosureButton",
  "DisclosurePanel",
  "FocusTrap",
  "Listbox",
  "ListboxButton",
  "ListboxLabel",
  "ListboxOption",
  "ListboxOptions",
  "Menu",
  "MenuButton",
  "MenuItem",
  "MenuItems",
  "Popover",
  "PopoverButton",
  "PopoverGroup",
  "PopoverOverlay",
  "PopoverPanel",
  "Portal",
  "PortalGroup",
  "RadioGroup",
  "RadioGroupDescription",
  "RadioGroupLabel",
  "RadioGroupOption",
  "Switch",
  "SwitchDescription",
  "SwitchGroup",
  "SwitchLabel",
  "TransitionChild",
  "TransitionRoot"
];
function HeadlessUiResolver() {
  return (name) => {
    if (components.includes(name))
      return { importName: name, path: "@headlessui/vue" };
  };
}

// src/core/resolvers/naive-ui.ts
function NaiveUiResolver() {
  return (name) => {
    if (name.match(/^N[A-Z]/))
      return { importName: name, path: "naive-ui" };
  };
}

// src/core/resolvers/prime-vue.ts
var components2 = [
  "AutoComplete",
  "Calendar",
  "CascadeSelect",
  "Checkbox",
  "Chips",
  "ColorPicker",
  "Dropdown",
  "Editor",
  "InputMask",
  "InputNumber",
  "InputSwitch",
  "InputText",
  "Knob",
  "Listbox",
  "MultiSelect",
  "Password",
  "RadioButton",
  "Rating",
  "SelectButton",
  "Slider",
  "Textarea",
  "ToggleButton",
  "TreeSelect",
  "TriStateCheckbox",
  "Button",
  "SplitButton",
  "DataTable",
  "Column",
  "ColumnGroup",
  "DataView",
  "FullCalendar",
  "OrderList",
  "OrganizationChart",
  "Paginator",
  "PickList",
  "Timelist",
  "Tree",
  "TreeTable",
  "Accordion",
  "AccordionTab",
  "Card",
  "DeferredContent",
  "Divider",
  "Fieldset",
  "Panel",
  "Splitter",
  "SplitterPanel",
  "ScrollPanel",
  "TabView",
  "TabPanel",
  "Toolbar",
  "ConfirmDialog",
  "ConfirmPopup",
  "Dialog",
  "OverlayPanel",
  "Sidebar",
  "Tooltip",
  "FileUpload",
  "Breadcrumb",
  "ContextMenu",
  "MegaMenu",
  "Menu",
  "Menubar",
  "PanelMenu",
  "Steps",
  "TabMenu",
  "TieredMenu",
  "Chart",
  "Message",
  "Toast",
  "Carousel",
  "Galleria",
  "Avatar",
  "AvatarGroup",
  "Badge",
  "Chip",
  "BlockUI",
  "Inplace",
  "ScrollTop",
  "Skeleton",
  "ProgressBar",
  "ProgressSpiner",
  "Tag",
  "Terminal",
  "TerminalService"
];
function PrimeVueResolver(options = {}) {
  return (name) => {
    const sideEffects = [];
    if (options.importStyle)
      sideEffects.push("primevue/resources/primevue.min.css");
    if (options.importIcons)
      sideEffects.push("primeicons/primeicons.css");
    if (options.importTheme) {
      sideEffects.push(`primevue/resources/themes/${options.importTheme}/theme.css`);
    }
    if (components2.includes(name)) {
      return {
        path: `primevue/${name}/${name}.vue`,
        sideEffects
      };
    }
  };
}

// src/core/resolvers/vant.ts
function VantResolver(options = {}) {
  return (name) => {
    const { importStyle = true } = options;
    if (name.startsWith("Van")) {
      const partialName = name.slice(3);
      return {
        importName: partialName,
        path: "vant/es",
        sideEffects: importStyle ? `vant/es/${_chunk6Z5ICHV4js.kebabCase.call(void 0, partialName)}/style` : void 0
      };
    }
  };
}

// src/core/resolvers/varlet-ui.ts
function VarletUIResolver(options = {}) {
  return (name) => {
    const {
      importStyle = "css",
      importCss = true,
      importLess
    } = options;
    if (name.startsWith("Var")) {
      const partialName = name.slice(3);
      const sideEffects = [];
      if (importStyle || importCss) {
        if (importStyle === "less" || importLess)
          sideEffects.push(`@varlet/ui/es/${_chunk6Z5ICHV4js.kebabCase.call(void 0, partialName)}/style/less.js`);
        else
          sideEffects.push(`@varlet/ui/es/${_chunk6Z5ICHV4js.kebabCase.call(void 0, partialName)}/style`);
      }
      return {
        importName: `_${partialName}Component`,
        path: "@varlet/ui",
        sideEffects
      };
    }
  };
}

// src/core/resolvers/view-ui.ts
function getSideEffects3(componentName) {
  const sideEffects = [
    "view-design/dist/styles/iview.css",
    "popper.js/dist/umd/popper.js"
  ];
  if (/^Table|^Slider|^Tab/.test(componentName))
    sideEffects.push("element-resize-detector");
  if (/^Date/.test(componentName))
    sideEffects.push("js-calendar");
  return sideEffects;
}
var matchComponents2 = [
  {
    pattern: /^List/,
    compDir: "list"
  }
];
function getCompDir(compName) {
  let compPath;
  const total = matchComponents2.length;
  for (let i = 0; i < total; i++) {
    const matcher = matchComponents2[i];
    if (compName.match(matcher.pattern)) {
      compPath = `${matcher.compDir}/${_chunk6Z5ICHV4js.kebabCase.call(void 0, compName)}.vue`;
      break;
    }
  }
  if (!compPath)
    compPath = _chunk6Z5ICHV4js.kebabCase.call(void 0, compName);
  return compPath;
}
function ViewUiResolver() {
  return (name) => {
    if (name.match(/^I[A-Z]/)) {
      const compName = name.slice(1);
      return {
        path: `view-design/src/components/${getCompDir(compName)}`,
        sideEffects: getSideEffects3(compName)
      };
    }
  };
}

// src/core/resolvers/vuetify.ts
function VuetifyResolver() {
  return (name) => {
    if (name.match(/^V[A-Z]/))
      return { importName: name, path: "vuetify/lib" };
  };
}

// src/core/resolvers/vueuse.ts
var components3;
function VueUseComponentsResolver() {
  return (name) => {
    if (!components3) {
      try {
        const indexesJson = _chunkBNJB64XRjs.__require.call(void 0, "@vueuse/core/indexes.json");
        components3 = indexesJson.functions.filter((i) => i.component && i.name).map(({ name: name2 }) => name2[0].toUpperCase() + name2.slice(1));
      } catch (error) {
        components3 = [];
      }
    }
    if (components3 && components3.includes(name))
      return { importName: name, path: "@vueuse/components" };
  };
}














exports.AntDesignVueResolver = AntDesignVueResolver; exports.ElementPlusResolver = ElementPlusResolver; exports.ElementUiResolver = ElementUiResolver; exports.HeadlessUiResolver = HeadlessUiResolver; exports.LibraryResolver = _chunk6Z5ICHV4js.LibraryResolver; exports.NaiveUiResolver = NaiveUiResolver; exports.PrimeVueResolver = PrimeVueResolver; exports.VantResolver = VantResolver; exports.VarletUIResolver = VarletUIResolver; exports.ViewUiResolver = ViewUiResolver; exports.VueUseComponentsResolver = VueUseComponentsResolver; exports.VuetifyResolver = VuetifyResolver; exports.tryLoadVeturTags = _chunk6Z5ICHV4js.tryLoadVeturTags;
exports.default = module.exports;